Promotion Configuration Values
http
GET /api/advert/v1/configBase URL: https://advert-api.wildberries.ru · Module: promotion · Section: Campaign Management · Specification doc ↗
The method returns the currency, currency codes of the seller account and the allowed bid increments for the method of setting bids for search clusters in the currency of the seller account.
Method is available by Personal token, Service token
Request limit per one seller account:
| Period | Limit | Interval | Burst |
|---|---|---|---|
| 1 min | 1 request | 1 min | 10 requests |
Responses
| Code | Description | Schema |
|---|---|---|
200 | Success | V2GetConfigResponse |
401 | Unauthorized | object |
403 | Access denied | Response4XX |
429 | Too many requests | object |
Structure 200:
currencystring<ISO 4217>— Currency of the seller accountcurrencyCodeinteger<int64>— Currency code of the seller accountcpmStepinteger<int64>— Bid step in minor currency units — 0.01 of the base unit of the seller account currency for CPM campaignscpcStepinteger<int64>— Bid step in minor currency units — 0.01 of the base unit of the seller account currency for CPC campaignsminTopUpinteger<int64>— Minimum amount of replenishment of the campaign budget in minor currency units — 0.01 of the base unit of the seller account currency. For example, the minimum budget top-up amount with"minTopUp": 10000and"currency": "UZS"— 100 Uzbek sumsminDailyLimitinteger<int64>— Minimum allowed daily limit amount, regardless of the campaign bids. Specified in minor currency units — 0.01 of the base currency of the seller account
Structure 401:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Structure 403:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Structure 429:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Call examples
Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.
python
from wb_api_client.promotion import Configuration, ApiClient
from wb_api_client.promotion.api import PromotionApi
cfg = Configuration(access_token="<your WB JWT>")
api = PromotionApi(ApiClient(cfg))
result = api.get_v1_config()
print(result)ts
import {
Configuration,
PromotionApi,
} from "@valeryverkhoturov/wb-api-client/promotion";
const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new PromotionApi(cfg);
const { data } = await api.getV1Config();
console.log(data);go
import (
"context"
"fmt"
wbpromotion "github.com/ValeryVerkhoturov/wb-api-client-go/promotion"
)
cfg := wbpromotion.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbpromotion.NewAPIClient(cfg)
result, _, err := client.PromotionAPI.GetV1Config(context.Background()).Execute()
if err != nil {
panic(err)
}
fmt.Printf("%+v\n", result)java
import io.github.valeryverkhoturov.wbapi.promotion.ApiClient;
import io.github.valeryverkhoturov.wbapi.promotion.SecretString;
import io.github.valeryverkhoturov.wbapi.promotion.api.PromotionApi;
ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
PromotionApi api = new PromotionApi(client);
System.out.println(api.getV1Config());php
use ValeryVerkhoturov\WbApiClient\Promotion\Configuration;
use ValeryVerkhoturov\WbApiClient\Promotion\SecretString;
use ValeryVerkhoturov\WbApiClient\Promotion\Api\PromotionApi;
use GuzzleHttp\Client;
$config = (new Configuration())
->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new PromotionApi(new Client(), $config);
print_r($api->getV1Config());bsl
#Использовать "wb-api-client"
Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый PromotionApi(Настройки);
Сообщить(Клиент.GetV1Config().Тело);csharp
using ValeryVerkhoturov.WbApiClient.Promotion.Api;
using ValeryVerkhoturov.WbApiClient.Promotion.Client;
var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new PromotionApi(config);
Console.WriteLine(api.GetV1Config());rust
use wb_api_client::promotion::apis::{configuration::Configuration, promotion_api};
#[tokio::main]
async fn main() {
let mut cfg = Configuration::new();
cfg.set_access_token("<your WB JWT>");
let result = promotion_api::get_v1_config(&cfg).await;
println!("{:#?}", result);
}